Subject: Re: [StGit PATCH] compressed import v3

From: Clark Williams <[email-masked]>
Date: Fri, 13 Jun 2008 09:53:49 -0500

Karl Hasselström wrote:
> On 2008-06-12 16:32:50 -0500, Clark Williams wrote:
> 
>> Attached is my latest stab at StGit importing patches from
>> compressed files. This version doesn't try to differentiate by the
>> file extension; it just tries to open gzip or bz2 files and if those
>> fail it reverts to text.
> 
> Very good!
> 
>> I'm not completely happy with it, but I've spent about as much time
>> on it as I can afford to (for this week anyway).
> 
> Heh. I see an opportunity for condensing the code a bit in
> __gethandleandname(), and you intented the "pass"es funny, but I'll
> take care of it (or not, seeing as they're kind of minor nits -- in
> any case, I'll just take the patch off your hands and stop tormenting
> you about it).
> 

Ugh, I missed that on the pass'es. I had some other logic in there, attempting to
make sure that the IOError was in fact because the input was uncompressed, but I
punted that and forgot to unindent the pass. I can't believe emacs didn't catch that
for me :)

I'm interested to hear how you'd condense the code in __gethandleandname().

Clark